com.hazelcast.client

## Class HazelcastClientManager

- java.lang.Object
- - com.hazelcast.client.HazelcastClientManager

-     public final class HazelcastClientManager
      extends Object

  Central manager for all Hazelcast clients of the JVM. All creation functionality will be stored here and a particular instance of a client will delegate here.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HazelcastClientManager` | `INSTANCE` Global instance of `HazelcastClientManager`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<HazelcastInstance>` | `getAllHazelcastClients()`
    `static HazelcastInstance` | `getHazelcastClientByName(String instanceName)`
    `static HazelcastInstance` | `newHazelcastClient(ClientConfig config, HazelcastClientFactory hazelcastClientFactory)`
    `static HazelcastInstance` | `newHazelcastClient(HazelcastClientFactory hazelcastClientFactory)`
    `static void` | `setOutOfMemoryHandler(OutOfMemoryHandler outOfMemoryHandler)`
    `static void` | `shutdown(HazelcastInstance instance)`
    `static void` | `shutdown(String instanceName)`
    `static void` | `shutdownAll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final HazelcastClientManager INSTANCE

      Global instance of `HazelcastClientManager`

  - ### Method Detail

    - #### newHazelcastClient

          public static HazelcastInstance newHazelcastClient(HazelcastClientFactory hazelcastClientFactory)

    - #### newHazelcastClient

          public static HazelcastInstance newHazelcastClient(ClientConfig config,
                                                             HazelcastClientFactory hazelcastClientFactory)

    - #### getHazelcastClientByName

          public static HazelcastInstance getHazelcastClientByName(String instanceName)

    - #### getAllHazelcastClients

          public static Collection<HazelcastInstance> getAllHazelcastClients()

    - #### shutdownAll

          public static void shutdownAll()

    - #### shutdown

          public static void shutdown(HazelcastInstance instance)

    - #### shutdown

          public static void shutdown(String instanceName)

    - #### setOutOfMemoryHandler

          public static void setOutOfMemoryHandler(OutOfMemoryHandler outOfMemoryHandler)

Copyright © 2018. All rights reserved.